v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/inventory/kits/{inventoryId}/dispensation
Retrieves dispensation details like subject source ID, visit source ID and instance number for a given inventory ID. Rights: OrsInventoryGet.
Request
Path Parameters
-
inventoryId(required): string(uuid)
ID of the inventoryExample:
b1b8327a-faa6-4122-8710-6192ab5984ef -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : InventoryDispensationResponse v1.0
Type:
objectTitle:
InventoryDispensationResponse v1.0Contains dispensation details.
Show Source
-
instanceNumber: number
Title:
Instance NumberVisit instance number.Example:1 -
kitNumber: number
Title:
Kit NumberKit number.Example:1001 -
subjectSrcId: string
(uuid)
Title:
Subject Source IDSubject source identifier.Example:b1b8327a-faa6-4122-8710-6192ab5984ef -
visitSrcId: string
(uuid)
Title:
Visit Source IDVisit source identifier.Example:7f2c9f12-3456-7890-abcd-1234567890ab
Examples
404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples